﻿@model StripePaymentModels

@{
    var stateLabel = "State";
    var zipLabel = "Zip code";

    switch (Model.Country)
    {
        case Jb.Framework.Common.Forms.Countries.Canada:
            {
                stateLabel = "Province";
                zipLabel = "Postal code";
            }
            break;
        default:
            break;
    }
}

<div id="paymentConfirmation" class="col-sm-12">

    <section class="col-xs-12 col-sm-12 col-md-12 col-lg-12 text-center stripe-container clearfix">

        <div style="margin-top:10px;">
            <div style="text-align: left !important;">

                @Html.AntiForgeryToken()

                <div class="form-group">
                    <div>
                        @Html.LabelFor(model => model.Country, new { @class = "req" })
                        @Html.DropDownListFor(model => model.Country, Model.Countries, new { @class = "form-control", id = "country" })
                    </div>
                </div>

                <div class="clearfix"></div>

                <div class="form-group">
                    <div>
                        @Html.LabelFor(model => model.CardNumber, new { @class = "req" })
                        <div class="card-number-box" id="card-number-box">
                            @Html.TextBoxFor(model => model.CardNumber, new { id = "txtCardNumber", @class = "form-control" })
                            @Html.ValidationMessageFor(model => model.CardNumber)
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="control-label label-select-day req-star">Month</label>
                    <label class="control-label label-select-day req-star">Year</label>
                    @Html.LabelFor(model => model.CVV, new { @class = "req", style = "float: right; display: inline-block; width: 92px;" })
                    <div style="width: 100%;display: inline;">

                        <div class="drop-downs box-select-date">

                            @Html.DropDownListFor(model => model.Month, (IEnumerable<SelectListItem>)ViewBag.MonthList, "MM", new { id = "txtExpiryMonth", @class = "form-control select-date" })
                            <span class="clear-block">/ 20</span>
                            @Html.DropDownListFor(model => model.Year2Char, (IEnumerable<SelectListItem>)ViewBag.Year2CharList, "YY", new { id = "txtExpiryYear", @class = "form-control select-date" })

                            <div style="float:right">

                                @Html.TextBoxFor(model => model.CVV, new { id = "txtCvc", @class = "form-control", @style = "display:inline-block;width:66px;" })
                                <span class="billspan tooltipbill">?</span>
                                @Html.ValidationMessageFor(model => model.CVV)
                            </div>


                            @Html.ValidationMessageFor(model => model.Month)

                        </div>
                    </div>
                </div>

                <div class="form-group">
                    @Html.LabelFor(model => model.CardHolderName, new { @class = "req" })
                    @Html.TextBoxFor(model => model.CardHolderName, new { id = "txtCardHolderName", @class = "form-control" })
                    @Html.ValidationMessageFor(model => model.CardHolderName)
                </div>

                <div class="form-group">
                    <div class="col-md-12">
                        @Html.Label("Street", new { @class = "req" })
                        @Html.TextBoxFor(model => model.Street, new { @class = "form-control", id = "street" })
                        @Html.ValidationMessage("Street")
                    </div>

                    <div class="col-md-6">
                        <label class="req" for="Zip" id="zipLabel">@zipLabel</label>
                        @Html.TextBoxFor(model => model.ZipCode, new { @class = "form-control", id = "zip" })
                        @Html.ValidationMessage("ZipCode")
                    </div>

                    <div class="clearfix"></div>

                    <div class="col-md-6">
                        @Html.Label("City", new { @class = "req" })
                        @Html.TextBoxFor(model => model.City, new { @class = "form-control", id = "city" })
                        @Html.ValidationMessage("City")
                    </div>

                    <div class="col-md-6" id="stateContainer">
                        @{Html.RenderAction("States", new { country = Model.Country });}
                    </div>

                    <div class="clearfix"></div>
                    <div class="col-md-6">
                        @Html.ValidationMessage("Address")
                    </div>
                </div>

                <div class="clearfix"></div>
                <div class="clearfix"></div>

                <div class="form-group">
                    <div class="checkbox">
                        <label id="lblpreferredpaymentmethod">
                            @Html.CheckBoxFor(model => model.IsDefault, new { @class = "waiver-confirmation", @id = "preferredpaymentmethod" })
                            <span class="check" style="margin-right:2px;"></span>
                            <span style="display: block; line-height: 1.2; vertical-align: middle; padding-top: 5px; font-size: 13px;"> Use as the preferred payment method for future purchases</span>

                        </label>
                    </div>
                </div>

            </div>
        </div>

        <div class="error-div">
            <span class="payment-errors  sm-font"></span>
        </div>
    </section>
</div>
